package com.clx.performance.service;

import com.clx.performance.model.IntegralRecord;
import com.clx.performance.param.pc.IntegralRecordAddParam;
import com.clx.performance.vo.pc.integral.AppIntegralRuleVO;

import java.time.LocalDateTime;

public interface IntegralRecordService {

    void addDriverReportRecord(IntegralRecordAddParam param);

    void addDriverReportRecord(AppIntegralRuleVO ruleInfo, String truckNo, Integer type, Integer integral, String remark);

    void addDriverTruckReportRecord(AppIntegralRuleVO ruleInfo, String truckNo, Integer type, Integer integral, String remark);

    void addPlatformCompensationRecord(String truckNo);

    IntegralRecord save(Integer statisticsId, LocalDateTime statisticsDate, String truckNo, Integer type, Integer integral, String remark);

}
